Repository 'SUSE-CAASP-3.0-Pool' is invalid

edited May 26 in SUSE CaaS Platform

Hello together.
I have Kubernetes Cluster on Caas 3.0
I had to update internal TLS/SSL Certificates, to do it, i took the documentation (https://documentation.suse.com/suse-caasp/3/) and does the steps from Administration Guide (9.9 Replacing TLS/SSL Certificates - Page 125)

On Step 7:
docker exec -it $(docker ps -q -f name="salt-master") bash -c "salt-run state.orchestrate orch.kubernetes" 2&>1 > salt-run.log

I get following error from our 3 master-nodes-minions:

                  ID: etcd
                  Function: pkg.installed
                    Result: False
                   Comment: An exception occurred in this state: Traceback (most recent call last):
                              File "/usr/lib/python2.7/site-packages/salt/state.py", line 1894, in call
                                ret = self.states[cdata['full']](*cdata['args'], **cdata['kwargs'])
                              File "/usr/lib/python2.7/site-packages/salt/loader.py", line 1825, in wrapper
                                return f(*args, **kwargs)
                              File "/usr/lib/python2.7/site-packages/salt/states/pkg.py", line 1487, in installed
                                pkgs, refresh = _resolve_capabilities(pkgs, refresh=refresh, **kwargs)
                              File "/usr/lib/python2.7/site-packages/salt/states/pkg.py", line 899, in _resolve_capabilities
                                ret = __salt__['pkg.resolve_capabilities'](pkgs, refresh=refresh, **kwargs)
                              File "/usr/lib/python2.7/site-packages/salt/modules/zypper.py", line 2372, in resolve_capabilities
                                refresh_db()
                              File "/usr/lib/python2.7/site-packages/salt/modules/zypper.py", line 1066, in refresh_db
                                out = __zypper__.refreshable.call('refresh', '--force')
                              File "/usr/lib/python2.7/site-packages/salt/modules/zypper.py", line 339, in __call
                                raise CommandExecutionError('Zypper command failure: {0}'.format(self.error_msg))
                            CommandExecutionError: Zypper command failure: Permission to access 'https://updates.suse.com/SUSE/Products/SUSE-CAASP/3.0/x86_64/product/repodata/repomd.xml?aWzvEsbXRvkoWmOPucuvEyqtipfzrr5Tz6f6DMkYQVvJqvJb7oOu-M1HudhoZ11_woZiM3icXd_YSW0EWHwH_45-3gwV8AIisuXao-qoEXDSiEoM78NyZsdauOlFGim8Sz2lgyWDa8m9IQ' denied.

                            **Repository 'SUSE-CAASP-3.0-Pool' is invalid.**

                            [SUSE_CaaS_Platform_3.0_x86_64:SUSE-CAASP-3.0-Pool|https://updates.suse.com/SUSE/Products/SUSE-CAASP/3.0/x86_64/product?aWzvEsbXRvkoWmOPucuvEyqtipfzrr5Tz6f6DMkYQVvJqvJb7oOu-M1HudhoZ11_woZiM3icXd_YSW0EWHwH_45-3gwV8AIisuXao-qoEXDSiEoM78NyZsdauOlFGim8Sz2lgyWDa8m9IQ] Valid metadata not found at specified URL
                            Please check if the URIs defined for this repository are pointing to a valid repository.
                            Skipping repository 'SUSE-CAASP-3.0-Pool' because of the above error.

The Repository seems to be disabled... Why?

I heard about the Caasp 4, but we don't have the resources to migrate full cloud on new Cluster at this moment.
Can somebody help me to solve it?
Because of this issue my dex-pods are down...

Comments

  • Hi, can you confirm that your nodes are fully registered? Type command SUSEConnect -s
    Note that CaaSP v3 is now out of support. You may need to migrate to CaaSP v4.

  • edited June 9

    Hi Brice,
    thx for your message.
    yes, all of 3 Master-Nodes are Registered:
    [{"identifier":"CAASP","version":"3.0","arch":"x86_64","status":"Registered","regcode":"REGCODE*","starts_at":"2020-05-01 00:00:00 UTC","expires_at":"2021-04-30 00:00:00 UTC","subscription_status":"ACTIVE","type":"full"}]
    4 Worker nodes also.

    and yes, i also know, that V3 is out of support, it was installed in 05.2019 from SUSE Installation Partner with words "don't worry", you can upgrade later... Now i can't manage this upgrade because of missing time resources. It will happen, some when in end of 2020.
    Anyway.. it seems in my eyes that the SUSE Repository of V3 is offline..

    Can someone confirm, that access to the v3 Package-repository is given?

Sign In or Register to comment.